org.eclipse.jgit.util

## Class TemporaryBuffer.Heap

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jgit.util.TemporaryBuffer
    - - org.eclipse.jgit.util.TemporaryBuffer.Heap

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  TemporaryBuffer

    public static class TemporaryBuffer.Heap
    extends TemporaryBuffer

A temporary buffer that will never exceed its in-memory limit.

If the in-memory limit is reached an IOException is thrown, rather than attempting to spool to local disk.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.util.TemporaryBuffer

`TemporaryBuffer.Heap, TemporaryBuffer.LocalFile`

### Field Summary

### Fields inherited from class org.eclipse.jgit.util.TemporaryBuffer

`DEFAULT_IN_CORE_LIMIT`

### Constructor Summary

Constructors
Constructor and Description
`Heap(int limit)` Create a new heap buffer with a maximum storage limit.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected OutputStream` `overflow()` Open the overflow output stream, so the remaining output can be stored.

### Methods inherited from class org.eclipse.jgit.util.TemporaryBuffer

`close, copy, destroy, doFlush, length, openInputStream, reset, toByteArray, write, write, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Heap

    public Heap(int limit)

Create a new heap buffer with a maximum storage limit.

Parameters:
  `limit` - maximum number of bytes that can be stored in this buffer. Storing beyond this many will cause an IOException to be thrown during write.

### Method Detail

#### overflow

    protected OutputStream overflow()
                             throws IOException

Description copied from class: `TemporaryBuffer`
Open the overflow output stream, so the remaining output can be stored.

Specified by:
  `overflow` in class `TemporaryBuffer`
Returns:
  the output stream to receive the buffered content, followed by the remaining output.
Throws:
  `IOException` - the buffer cannot create the overflow stream.